Skip to navigation

Get a session's CDR

The CDR that billed the session. 404 if the session does not exist or has no CDR yet.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

session_idstringRequired1-36 characters
OCPI session id.

Query parameters

country_codestring or nullOptionalformat: "^[A-Z]{2}$"=2 characters
Only this OCPI party country code, e.g. NL.
party_idstring or nullOptionalformat: "^[A-Z0-9]{3}$"=3 characters
Only this OCPI party id, e.g. OCP.

Response

The requested object.
idinteger
cdr_idstring
start_date_timedatetime
end_date_timedatetime
cdr_tokenobject
Token snapshot stored on a session or CDR. Older rows may only have a uid. The other OCPI fields are null until the processor stored them.
auth_methodenum or any
cdr_locationobject
Location snapshot billed on a CDR.
currencystring
charging_periodslist of objects
total_costobject
total_energystring
total_timestring
last_updateddatetime
rolestring
originenum or any
organization_idstring
country_codestring
party_idstring
ocpi_versionstring
created_atdatetime
updated_atdatetime
session_idstring or nullOptional
authorization_referencestring or nullOptional
meter_idstring or nullOptional
tariffslist of objects or nullOptional
signed_dataobject or nullOptional
Signed meter data attached to a CDR.
total_fixed_costobject or nullOptional
total_energy_costobject or nullOptional
total_time_costobject or nullOptional
total_parking_timestring or nullOptional
total_parking_costobject or nullOptional
total_reservation_costobject or nullOptional
remarkstring or nullOptional
invoice_reference_idstring or nullOptional
creditboolean or nullOptional
credit_reference_idstring or nullOptional
home_charging_compensationboolean or nullOptional
location_idstring or nullOptional
evse_uidstring or nullOptional
connector_idstring or nullOptional
charge_point_idstring or nullOptional
booking_idstring or nullOptional
receiver_cdr_urlstring or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error